Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: liberasurecode
Source: https://github.com/openstack/liberasurecode/

Files: *
Copyright: (c) 2014-2017, Eric Lambert <eric_lambert@xyratex.com>
           (c) 2014-2017, Tushar Gohad <tushar.gohad@intel.com>
           (c) 2014-2017, Kevin Greenan <kmg@box.com>
           (c) 2014-2017, Mark Storer <Mark.Storer@evault.com>
License: BSD-style

Files: debian/*
Copyright: (c) 2014, Thomas Goirand <zigo@debian.org>
           (c) 2016-2020, Ondřej Nový <onovy@debian.org>
License: BSD-style

Files: src/utils/chksum/crc32.c
Copyright: (c) 1986, Gary S. Brown
License: crc32-license

Files: include/erasurecode/list.h
Copyright: (c) 1991, 1993 The Regents of the University of California
License: BSD-with-add-clause

Files: src/backends/phazrio/libphazr.c
Copyright: (c) 2016 Phazr.IO Inc
License: BSD-style

Files: src/backends/isa-l/isa_l_rs_cauchy.c
Copyright: (c) 2016, Kota Tsuyuzaki
License: BSD-style

Files: src/backends/shss/shss.c
Copyright: (c) 2015, NTT corp.
License: BSD-style

Files: src/utils/chksum/md5.c
       include/erasurecode/md5.h
Copyright: (c) 2001 Alexander Peslyak
License: md5-license
 This software was written by Alexander Peslyak in 2001.  No copyright is
 claimed, and the software is hereby placed in the public domain.
 In case this attempt to disclaim copyright and place the software in the
 public domain is deemed null and void, then the software is
 Copyright (c) 2001 Alexander Peslyak and it is hereby released to the
 general public under the following terms:
 .
 Redistribution and use in source and binary forms, with or without
 modification, are permitted.
 .
 There's ABSOLUTELY NO WARRANTY, express or implied.
 .
 (This is a heavily cut-down "BSD license".)

License: crc32-license
 You may use this program, or code or tables extracted from it, as desired
 without restriction.

License: BSD-with-add-clause
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions are met:
 .
  1. Redistributions of source code must retain the above copyright notice,
     this list of conditions and the following disclaimer.
 .
  2. Redistributions in binary form must reproduce the above copyright notice,
     this list of conditions and the following disclaimer in the documentation
     and/or other materials provided with the distribution.
 .
  3. All advertising materials mentioning features or use of this software must
     display the following acknowledgement: This product includes software
     developed by the University of California, Berkeley and its contributors.
 .
  4. Neither the name of the University nor the names of its contributors may
     be used to endorse or promote products derived from this software without
     specific prior written permission.
 .
 THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS "AS IS" AND ANY
 EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY
 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

License: BSD-style
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions are met:
 .
  * Redistributions of source code must retain the above copyright notice, this
    list of conditions and the following disclaimer.
 .
  * Redistributions in binary form must reproduce the above copyright notice,
    this list of conditions and the following disclaimer in the documentation
    and/or other materials provided with the distribution.
 .
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
 FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
